Skip to main content

Edge Deployment Actions

https://api.app.wnology.io/applications/APPLICATION_ID/edge/deployments/EDGE_DEPLOYMENT_ID

Below are the various requests that can be performed against the Edge Deployment resource, as well as the expected parameters and the potential responses.

Get​

Retrieves information on an edge deployment

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/edge/deployments/EDGE_DEPLOYMENT_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, edgeDeployment.*, or edgeDeployment.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EDGE_DEPLOYMENT_IDID associated with the edge deployment575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/edge/deployments/EDGE_DEPLOYMENT_ID

Successful Responses​

CodeTypeDescription
200Edge DeploymentEdge deployment information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if edge deployment was not found

Schemas​

Edge Deployment​

Schema for a single deployment of an edge workflow to an edge device

Edge Deployment Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 17 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 3 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 2 keys

                                    Edge Deployment Example​

                                    • ▶
                                      {} 10 keys
                                      • "5a591be186b70d7b9f9b0954"
                                      • "5a591be186b70d7b9f9b0954"
                                      • "575ec8687ae143cd83dc4a97"
                                      • "575ecf887ae143cd83dc4aa2"
                                      • "575ed18f7ae143cd83dc4aa6"
                                      • "2016-06-13T04:00:00.000Z"
                                      • "2016-06-13T04:00:00.000Z"
                                      • "v1.4.0"
                                      • null
                                      • ▶
                                        [] 1 item

                                      Error​

                                      Schema for errors returned by the API

                                      Error Schema​

                                      • ▶
                                        {} 3 keys
                                        • "http://json-schema.org/draft-07/schema#"
                                        • "object"
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key

                                          Error Example​

                                          • ▶
                                            {} 2 keys
                                            • "NotFound"
                                            • "Application was not found"

                                          Was this page helpful?


                                          Still looking for help? You can also search the WEGnology Forums or submit your question there.